package com.bocloud.fms.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 流程序列号
 *
 * @author zhangdi
 * @since 2018/10/15
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Table("wf_sequence")
public class FlowSequence extends Generic {

    @PK(PKStrategy.AUTO)
    private Long id;
    @Column("date")
    private String date;// 日期
    @Column("sn")
    private String sn;// 顺序号

    public FlowSequence(String date, String sn) {
        super();
        this.date = date;
        this.sn = sn;
    }
}
